1#! /bin/sh
2# Generated by configure.
3# Run this file to recreate the current configuration.
4# Compiler output produced by configure, useful for debugging
5# configure, is in config.log if it exists.
6
7debug=false
8ac_cs_recheck=false
9ac_cs_silent=false
10SHELL=${CONFIG_SHELL-/bin/sh}
11## --------------------- ##
12## M4sh Initialization.  ##
13## --------------------- ##
14
15# Be more Bourne compatible
16DUALCASE=1; export DUALCASE # for MKS sh
17if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
18  emulate sh
19  NULLCMD=:
20  # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
21  # is contrary to our usage.  Disable this feature.
22  alias -g '${1+"$@"}'='"$@"'
23  setopt NO_GLOB_SUBST
24else
25  case `(set -o) 2>/dev/null` in
26  *posix*) set -o posix ;;
27esac
28
29fi
30
31
32
33
34# PATH needs CR
35# Avoid depending upon Character Ranges.
36as_cr_letters='abcdefghijklmnopqrstuvwxyz'
37as_cr_LETTERS='ABCDEFGHIJKLMNOPQRSTUVWXYZ'
38as_cr_Letters=$as_cr_letters$as_cr_LETTERS
39as_cr_digits='0123456789'
40as_cr_alnum=$as_cr_Letters$as_cr_digits
41
42# The user is always right.
43if test "${PATH_SEPARATOR+set}" != set; then
44  echo "#! /bin/sh" >conf$$.sh
45  echo  "exit 0"   >>conf$$.sh
46  chmod +x conf$$.sh
47  if (PATH="/nonexistent;."; conf$$.sh) >/dev/null 2>&1; then
48    PATH_SEPARATOR=';'
49  else
50    PATH_SEPARATOR=:
51  fi
52  rm -f conf$$.sh
53fi
54
55# Support unset when possible.
56if ( (MAIL=60; unset MAIL) || exit) >/dev/null 2>&1; then
57  as_unset=unset
58else
59  as_unset=false
60fi
61
62
63# IFS
64# We need space, tab and new line, in precisely that order.  Quoting is
65# there to prevent editors from complaining about space-tab.
66# (If _AS_PATH_WALK were called with IFS unset, it would disable word
67# splitting by setting IFS to empty value.)
68as_nl='
69'
70IFS=" ""	$as_nl"
71
72# Find who we are.  Look in the path if we contain no directory separator.
73case $0 in
74  *[\\/]* ) as_myself=$0 ;;
75  *) as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
76for as_dir in $PATH
77do
78  IFS=$as_save_IFS
79  test -z "$as_dir" && as_dir=.
80  test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break
81done
82IFS=$as_save_IFS
83
84     ;;
85esac
86# We did not find ourselves, most probably we were run as `sh COMMAND'
87# in which case we are not to be found in the path.
88if test "x$as_myself" = x; then
89  as_myself=$0
90fi
91if test ! -f "$as_myself"; then
92  echo "$as_myself: error: cannot find myself; rerun with an absolute file name" >&2
93  { (exit 1); exit 1; }
94fi
95
96# Work around bugs in pre-3.0 UWIN ksh.
97for as_var in ENV MAIL MAILPATH
98do ($as_unset $as_var) >/dev/null 2>&1 && $as_unset $as_var
99done
100PS1='$ '
101PS2='> '
102PS4='+ '
103
104# NLS nuisances.
105for as_var in \
106  LANG LANGUAGE LC_ADDRESS LC_ALL LC_COLLATE LC_CTYPE LC_IDENTIFICATION \
107  LC_MEASUREMENT LC_MESSAGES LC_MONETARY LC_NAME LC_NUMERIC LC_PAPER \
108  LC_TELEPHONE LC_TIME
109do
110  if (set +x; test -z "`(eval $as_var=C; export $as_var) 2>&1`"); then
111    eval $as_var=C; export $as_var
112  else
113    ($as_unset $as_var) >/dev/null 2>&1 && $as_unset $as_var
114  fi
115done
116
117# Required to use basename.
118if expr a : '\(a\)' >/dev/null 2>&1 &&
119   test "X`expr 00001 : '.*\(...\)'`" = X001; then
120  as_expr=expr
121else
122  as_expr=false
123fi
124
125if (basename -- /) >/dev/null 2>&1 && test "X`basename -- / 2>&1`" = "X/"; then
126  as_basename=basename
127else
128  as_basename=false
129fi
130
131
132# Name of the executable.
133as_me=`$as_basename -- "$0" ||
134$as_expr X/"$0" : '.*/\([^/][^/]*\)/*$' \| \
135	 X"$0" : 'X\(//\)$' \| \
136	 X"$0" : 'X\(/\)' \| . 2>/dev/null ||
137echo X/"$0" |
138    sed '/^.*\/\([^/][^/]*\)\/*$/{
139	    s//\1/
140	    q
141	  }
142	  /^X\/\(\/\/\)$/{
143	    s//\1/
144	    q
145	  }
146	  /^X\/\(\/\).*/{
147	    s//\1/
148	    q
149	  }
150	  s/.*/./; q'`
151
152# CDPATH.
153$as_unset CDPATH
154
155
156
157  as_lineno_1=$LINENO
158  as_lineno_2=$LINENO
159  test "x$as_lineno_1" != "x$as_lineno_2" &&
160  test "x`expr $as_lineno_1 + 1`" = "x$as_lineno_2" || {
161
162  # Create $as_me.lineno as a copy of $as_myself, but with $LINENO
163  # uniformly replaced by the line number.  The first 'sed' inserts a
164  # line-number line after each line using $LINENO; the second 'sed'
165  # does the real work.  The second script uses 'N' to pair each
166  # line-number line with the line containing $LINENO, and appends
167  # trailing '-' during substitution so that $LINENO is not a special
168  # case at line end.
169  # (Raja R Harinath suggested sed '=', and Paul Eggert wrote the
170  # scripts with optimization help from Paolo Bonzini.  Blame Lee
171  # E. McMahon (1931-1989) for sed's syntax.  :-)
172  sed -n '
173    p
174    /[$]LINENO/=
175  ' <$as_myself |
176    sed '
177      s/[$]LINENO.*/&-/
178      t lineno
179      b
180      :lineno
181      N
182      :loop
183      s/[$]LINENO\([^'$as_cr_alnum'_].*\n\)\(.*\)/\2\1\2/
184      t loop
185      s/-\n.*//
186    ' >$as_me.lineno &&
187  chmod +x "$as_me.lineno" ||
188    { echo "$as_me: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&2
189   { (exit 1); exit 1; }; }
190
191  # Don't try to exec as it changes $[0], causing all sort of problems
192  # (the dirname of $[0] is not the place where we might find the
193  # original and so on.  Autoconf is especially sensitive to this).
194  . "./$as_me.lineno"
195  # Exit status is that of the last command.
196  exit
197}
198
199
200if (as_dir=`dirname -- /` && test "X$as_dir" = X/) >/dev/null 2>&1; then
201  as_dirname=dirname
202else
203  as_dirname=false
204fi
205
206ECHO_C= ECHO_N= ECHO_T=
207case `echo -n x` in
208-n*)
209  case `echo 'x\c'` in
210  *c*) ECHO_T='	';;	# ECHO_T is single tab character.
211  *)   ECHO_C='\c';;
212  esac;;
213*)
214  ECHO_N='-n';;
215esac
216
217if expr a : '\(a\)' >/dev/null 2>&1 &&
218   test "X`expr 00001 : '.*\(...\)'`" = X001; then
219  as_expr=expr
220else
221  as_expr=false
222fi
223
224rm -f conf$$ conf$$.exe conf$$.file
225if test -d conf$$.dir; then
226  rm -f conf$$.dir/conf$$.file
227else
228  rm -f conf$$.dir
229  mkdir conf$$.dir
230fi
231echo >conf$$.file
232if ln -s conf$$.file conf$$ 2>/dev/null; then
233  as_ln_s='ln -s'
234  # ... but there are two gotchas:
235  # 1) On MSYS, both `ln -s file dir' and `ln file dir' fail.
236  # 2) DJGPP < 2.04 has no symlinks; `ln -s' creates a wrapper executable.
237  # In both cases, we have to default to `cp -p'.
238  ln -s conf$$.file conf$$.dir 2>/dev/null && test ! -f conf$$.exe ||
239    as_ln_s='cp -p'
240elif ln conf$$.file conf$$ 2>/dev/null; then
241  as_ln_s=ln
242else
243  as_ln_s='cp -p'
244fi
245rm -f conf$$ conf$$.exe conf$$.dir/conf$$.file conf$$.file
246rmdir conf$$.dir 2>/dev/null
247
248if mkdir -p . 2>/dev/null; then
249  as_mkdir_p=:
250else
251  test -d ./-p && rmdir ./-p
252  as_mkdir_p=false
253fi
254
255if test -x / >/dev/null 2>&1; then
256  as_test_x='test -x'
257else
258  if ls -dL / >/dev/null 2>&1; then
259    as_ls_L_option=L
260  else
261    as_ls_L_option=
262  fi
263  as_test_x='
264    eval sh -c '\''
265      if test -d "$1"; then
266        test -d "$1/.";
267      else
268	case $1 in
269        -*)set "./$1";;
270	esac;
271	case `ls -ld'$as_ls_L_option' "$1" 2>/dev/null` in
272	???[sx]*):;;*)false;;esac;fi
273    '\'' sh
274  '
275fi
276as_executable_p=$as_test_x
277
278# Sed expression to map a string onto a valid CPP name.
279as_tr_cpp="eval sed 'y%*$as_cr_letters%P$as_cr_LETTERS%;s%[^_$as_cr_alnum]%_%g'"
280
281# Sed expression to map a string onto a valid variable name.
282as_tr_sh="eval sed 'y%*+%pp%;s%[^_$as_cr_alnum]%_%g'"
283
284
285exec 6>&1
286
287# Save the log message, to keep $[0] and so on meaningful, and to
288# report actual input values of CONFIG_FILES etc. instead of their
289# values after options handling.
290ac_log="
291This file was extended by $as_me, which was
292generated by GNU Autoconf 2.61.  Invocation command line was
293
294  CONFIG_FILES    = $CONFIG_FILES
295  CONFIG_HEADERS  = $CONFIG_HEADERS
296  CONFIG_LINKS    = $CONFIG_LINKS
297  CONFIG_COMMANDS = $CONFIG_COMMANDS
298  $ $0 $@
299
300on `(hostname || uname -n) 2>/dev/null | sed 1q`
301"
302
303# Files that config.status was made for.
304config_files=" Makefile bin/Makefile bin/ad/Makefile bin/adv1tov2/Makefile bin/aecho/Makefile bin/afppasswd/Makefile bin/cnid/Makefile bin/cnid/cnid2_create bin/getzones/Makefile bin/megatron/Makefile bin/misc/Makefile bin/nbp/Makefile bin/pap/Makefile bin/psorder/Makefile bin/uniconv/Makefile config/Makefile config/pam/Makefile contrib/Makefile contrib/macusers/Makefile contrib/macusers/macusers contrib/printing/Makefile contrib/shell_utils/Makefile contrib/shell_utils/afpd-mtab.pl contrib/shell_utils/apple_dump contrib/shell_utils/asip-status.pl contrib/timelord/Makefile contrib/a2boot/Makefile distrib/Makefile distrib/config/Makefile distrib/config/netatalk-config distrib/initscripts/Makefile distrib/m4/Makefile doc/Makefile etc/Makefile etc/afpd/Makefile etc/atalkd/Makefile etc/cnid_dbd/Makefile etc/uams/Makefile etc/uams/uams_krb4/Makefile etc/papd/Makefile etc/psf/Makefile include/Makefile include/atalk/Makefile libatalk/Makefile libatalk/acl/Makefile libatalk/adouble/Makefile libatalk/asp/Makefile libatalk/atp/Makefile libatalk/bstring/Makefile libatalk/cnid/Makefile libatalk/cnid/cdb/Makefile libatalk/cnid/last/Makefile libatalk/cnid/dbd/Makefile libatalk/cnid/tdb/Makefile libatalk/compat/Makefile libatalk/dsi/Makefile libatalk/nbp/Makefile libatalk/netddp/Makefile libatalk/util/Makefile libatalk/tdb/Makefile libatalk/unicode/Makefile libatalk/unicode/charsets/Makefile libatalk/vfs/Makefile macros/Makefile man/Makefile man/man1/Makefile man/man3/Makefile man/man4/Makefile man/man5/Makefile man/man8/Makefile sys/Makefile sys/generic/Makefile sys/generic/sys/Makefile sys/netatalk/Makefile sys/netbsd/Makefile sys/netbsd/netatalk/Makefile sys/solaris/Makefile sys/sunos/Makefile sys/ultrix/Makefile test/Makefile test/afpd/Makefile"
305config_headers=" config.h"
306config_commands=" depfiles default"
307
308ac_cs_usage="\
309\`$as_me' instantiates files from templates according to the
310current configuration.
311
312Usage: $0 [OPTIONS] [FILE]...
313
314  -h, --help       print this help, then exit
315  -V, --version    print version number and configuration settings, then exit
316  -q, --quiet      do not print progress messages
317  -d, --debug      don't remove temporary files
318      --recheck    update $as_me by reconfiguring in the same conditions
319  --file=FILE[:TEMPLATE]
320		   instantiate the configuration file FILE
321  --header=FILE[:TEMPLATE]
322		   instantiate the configuration header FILE
323
324Configuration files:
325$config_files
326
327Configuration headers:
328$config_headers
329
330Configuration commands:
331$config_commands
332
333Report bugs to <bug-autoconf@gnu.org>."
334
335ac_cs_version="\
336config.status
337configured by ./configure, generated by GNU Autoconf 2.61,
338  with options \"'LDFLAGS=-L${PKG_INSTALL_DIR}/usr/lib' 'CXXFLAGS=-I${PKG_INSTALL_DIR}/usr/include' 'CFLAGS=-I${PKG_INSTALL_DIR}/usr/include' '--host=mipsel-uclibc-linux' '--build=mipsel-uclibc-linux-gnu26' '--target=mipsel-uclibc-linux-gnu26' 'CC=mipsel-linux-uclibc-gcc' 'CXX=mipsel-linux-uclibc-g++' 'STRIP=mipsel-linux-linux26-strip' 'AR=mipsel-linux-linux26-ar' 'NM=mipsel-linux-linux26-nm' 'OBJDUMP=mipsel-linux-linux26-objdump' '--prefix=/usr' '--disable-nls' '--disable-afs' '--enable-hfs' '--disable-debugging' '--disable-shell-check' '--disable-timelord' '--disable-a2boot' '--disable-cups' '--disable-tcp-wrappers' '--with-cnid-default-backend=dbd' '--with-bdb=${PKG_INSTALL_DIR}/usr' '--with-libgcrypt-dir=${PKG_INSTALL_DIR}/usr--libdir=${PKG_INSTALL_DIR}/usr' '--libexecdir=${PKG_INSTALL_DIR}/usr/lib' '--with-ssl-dir=${PKG_INSTALL_DIR}/usr' '--with-uams-path=/usr/lib/uams' '--disable-admin-group' '--disable-srvloc' 'build_alias=mipsel-uclibc-linux-gnu26' 'host_alias=mipsel-uclibc-linux' 'target_alias=mipsel-uclibc-linux-gnu26'\"
339
340Copyright (C) 2006 Free Software Foundation, Inc.
341This config.status script is free software; the Free Software Foundation
342gives unlimited permission to copy, distribute and modify it."
343
344ac_pwd='${TIMEMACHINE_PATH}/netatalk-2.2.0'
345srcdir='.'
346INSTALL='/usr/bin/install -c'
347MKDIR_P='/bin/mkdir -p'
348# If no file are specified by the user, then we need to provide default
349# value.  By we need to know if files were specified by the user.
350ac_need_defaults=:
351while test $# != 0
352do
353  case $1 in
354  --*=*)
355    ac_option=`expr "X$1" : 'X\([^=]*\)='`
356    ac_optarg=`expr "X$1" : 'X[^=]*=\(.*\)'`
357    ac_shift=:
358    ;;
359  *)
360    ac_option=$1
361    ac_optarg=$2
362    ac_shift=shift
363    ;;
364  esac
365
366  case $ac_option in
367  # Handling of the options.
368  -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
369    ac_cs_recheck=: ;;
370  --version | --versio | --versi | --vers | --ver | --ve | --v | -V )
371    echo "$ac_cs_version"; exit ;;
372  --debug | --debu | --deb | --de | --d | -d )
373    debug=: ;;
374  --file | --fil | --fi | --f )
375    $ac_shift
376    CONFIG_FILES="$CONFIG_FILES $ac_optarg"
377    ac_need_defaults=false;;
378  --header | --heade | --head | --hea )
379    $ac_shift
380    CONFIG_HEADERS="$CONFIG_HEADERS $ac_optarg"
381    ac_need_defaults=false;;
382  --he | --h)
383    # Conflict between --help and --header
384    { echo "$as_me: error: ambiguous option: $1
385Try \`$0 --help' for more information." >&2
386   { (exit 1); exit 1; }; };;
387  --help | --hel | -h )
388    echo "$ac_cs_usage"; exit ;;
389  -q | -quiet | --quiet | --quie | --qui | --qu | --q \
390  | -silent | --silent | --silen | --sile | --sil | --si | --s)
391    ac_cs_silent=: ;;
392
393  # This is an error.
394  -*) { echo "$as_me: error: unrecognized option: $1
395Try \`$0 --help' for more information." >&2
396   { (exit 1); exit 1; }; } ;;
397
398  *) ac_config_targets="$ac_config_targets $1"
399     ac_need_defaults=false ;;
400
401  esac
402  shift
403done
404
405ac_configure_extra_args=
406
407if $ac_cs_silent; then
408  exec 6>/dev/null
409  ac_configure_extra_args="$ac_configure_extra_args --silent"
410fi
411
412if $ac_cs_recheck; then
413  echo "running CONFIG_SHELL=/bin/sh /bin/sh ./configure " 'LDFLAGS=-L${PKG_INSTALL_DIR}/usr/lib' 'CXXFLAGS=-I${PKG_INSTALL_DIR}/usr/include' 'CFLAGS=-I${PKG_INSTALL_DIR}/usr/include' '--host=mipsel-uclibc-linux' '--build=mipsel-uclibc-linux-gnu26' '--target=mipsel-uclibc-linux-gnu26' 'CC=mipsel-linux-uclibc-gcc' 'CXX=mipsel-linux-uclibc-g++' 'STRIP=mipsel-linux-linux26-strip' 'AR=mipsel-linux-linux26-ar' 'NM=mipsel-linux-linux26-nm' 'OBJDUMP=mipsel-linux-linux26-objdump' '--prefix=/usr' '--disable-nls' '--disable-afs' '--enable-hfs' '--disable-debugging' '--disable-shell-check' '--disable-timelord' '--disable-a2boot' '--disable-cups' '--disable-tcp-wrappers' '--with-cnid-default-backend=dbd' '--with-bdb=${PKG_INSTALL_DIR}/usr' '--with-libgcrypt-dir=${PKG_INSTALL_DIR}/usr--libdir=${PKG_INSTALL_DIR}/usr' '--libexecdir=${PKG_INSTALL_DIR}/usr/lib' '--with-ssl-dir=${PKG_INSTALL_DIR}/usr' '--with-uams-path=/usr/lib/uams' '--disable-admin-group' '--disable-srvloc' 'build_alias=mipsel-uclibc-linux-gnu26' 'host_alias=mipsel-uclibc-linux' 'target_alias=mipsel-uclibc-linux-gnu26' $ac_configure_extra_args " --no-create --no-recursion" >&6
414  CONFIG_SHELL=/bin/sh
415  export CONFIG_SHELL
416  exec /bin/sh "./configure" 'LDFLAGS=-L${PKG_INSTALL_DIR}/usr/lib' 'CXXFLAGS=-I${PKG_INSTALL_DIR}/usr/include' 'CFLAGS=-I${PKG_INSTALL_DIR}/usr/include' '--host=mipsel-uclibc-linux' '--build=mipsel-uclibc-linux-gnu26' '--target=mipsel-uclibc-linux-gnu26' 'CC=mipsel-linux-uclibc-gcc' 'CXX=mipsel-linux-uclibc-g++' 'STRIP=mipsel-linux-linux26-strip' 'AR=mipsel-linux-linux26-ar' 'NM=mipsel-linux-linux26-nm' 'OBJDUMP=mipsel-linux-linux26-objdump' '--prefix=/usr' '--disable-nls' '--disable-afs' '--enable-hfs' '--disable-debugging' '--disable-shell-check' '--disable-timelord' '--disable-a2boot' '--disable-cups' '--disable-tcp-wrappers' '--with-cnid-default-backend=dbd' '--with-bdb=${PKG_INSTALL_DIR}/usr' '--with-libgcrypt-dir=${PKG_INSTALL_DIR}/usr--libdir=${PKG_INSTALL_DIR}/usr' '--libexecdir=${PKG_INSTALL_DIR}/usr/lib' '--with-ssl-dir=${PKG_INSTALL_DIR}/usr' '--with-uams-path=/usr/lib/uams' '--disable-admin-group' '--disable-srvloc' 'build_alias=mipsel-uclibc-linux-gnu26' 'host_alias=mipsel-uclibc-linux' 'target_alias=mipsel-uclibc-linux-gnu26' $ac_configure_extra_args --no-create --no-recursion
417fi
418
419exec 5>>config.log
420{
421  echo
422  sed 'h;s/./-/g;s/^.../## /;s/...$/ ##/;p;x;p;x' <<_ASBOX
423## Running $as_me. ##
424_ASBOX
425  echo "$ac_log"
426} >&5
427
428#
429# INIT-COMMANDS
430#
431AMDEP_TRUE="" ac_aux_dir="."
432
433
434# Handling of arguments.
435for ac_config_target in $ac_config_targets
436do
437  case $ac_config_target in
438    "config.h") CONFIG_HEADERS="$CONFIG_HEADERS config.h" ;;
439    "depfiles") CONFIG_COMMANDS="$CONFIG_COMMANDS depfiles" ;;
440    "Makefile") CONFIG_FILES="$CONFIG_FILES Makefile" ;;
441    "bin/Makefile") CONFIG_FILES="$CONFIG_FILES bin/Makefile" ;;
442    "bin/ad/Makefile") CONFIG_FILES="$CONFIG_FILES bin/ad/Makefile" ;;
443    "bin/adv1tov2/Makefile") CONFIG_FILES="$CONFIG_FILES bin/adv1tov2/Makefile" ;;
444    "bin/aecho/Makefile") CONFIG_FILES="$CONFIG_FILES bin/aecho/Makefile" ;;
445    "bin/afppasswd/Makefile") CONFIG_FILES="$CONFIG_FILES bin/afppasswd/Makefile" ;;
446    "bin/cnid/Makefile") CONFIG_FILES="$CONFIG_FILES bin/cnid/Makefile" ;;
447    "bin/cnid/cnid2_create") CONFIG_FILES="$CONFIG_FILES bin/cnid/cnid2_create" ;;
448    "bin/getzones/Makefile") CONFIG_FILES="$CONFIG_FILES bin/getzones/Makefile" ;;
449    "bin/megatron/Makefile") CONFIG_FILES="$CONFIG_FILES bin/megatron/Makefile" ;;
450    "bin/misc/Makefile") CONFIG_FILES="$CONFIG_FILES bin/misc/Makefile" ;;
451    "bin/nbp/Makefile") CONFIG_FILES="$CONFIG_FILES bin/nbp/Makefile" ;;
452    "bin/pap/Makefile") CONFIG_FILES="$CONFIG_FILES bin/pap/Makefile" ;;
453    "bin/psorder/Makefile") CONFIG_FILES="$CONFIG_FILES bin/psorder/Makefile" ;;
454    "bin/uniconv/Makefile") CONFIG_FILES="$CONFIG_FILES bin/uniconv/Makefile" ;;
455    "config/Makefile") CONFIG_FILES="$CONFIG_FILES config/Makefile" ;;
456    "config/pam/Makefile") CONFIG_FILES="$CONFIG_FILES config/pam/Makefile" ;;
457    "contrib/Makefile") CONFIG_FILES="$CONFIG_FILES contrib/Makefile" ;;
458    "contrib/macusers/Makefile") CONFIG_FILES="$CONFIG_FILES contrib/macusers/Makefile" ;;
459    "contrib/macusers/macusers") CONFIG_FILES="$CONFIG_FILES contrib/macusers/macusers" ;;
460    "contrib/printing/Makefile") CONFIG_FILES="$CONFIG_FILES contrib/printing/Makefile" ;;
461    "contrib/shell_utils/Makefile") CONFIG_FILES="$CONFIG_FILES contrib/shell_utils/Makefile" ;;
462    "contrib/shell_utils/afpd-mtab.pl") CONFIG_FILES="$CONFIG_FILES contrib/shell_utils/afpd-mtab.pl" ;;
463    "contrib/shell_utils/apple_dump") CONFIG_FILES="$CONFIG_FILES contrib/shell_utils/apple_dump" ;;
464    "contrib/shell_utils/asip-status.pl") CONFIG_FILES="$CONFIG_FILES contrib/shell_utils/asip-status.pl" ;;
465    "contrib/timelord/Makefile") CONFIG_FILES="$CONFIG_FILES contrib/timelord/Makefile" ;;
466    "contrib/a2boot/Makefile") CONFIG_FILES="$CONFIG_FILES contrib/a2boot/Makefile" ;;
467    "distrib/Makefile") CONFIG_FILES="$CONFIG_FILES distrib/Makefile" ;;
468    "distrib/config/Makefile") CONFIG_FILES="$CONFIG_FILES distrib/config/Makefile" ;;
469    "distrib/config/netatalk-config") CONFIG_FILES="$CONFIG_FILES distrib/config/netatalk-config" ;;
470    "distrib/initscripts/Makefile") CONFIG_FILES="$CONFIG_FILES distrib/initscripts/Makefile" ;;
471    "distrib/m4/Makefile") CONFIG_FILES="$CONFIG_FILES distrib/m4/Makefile" ;;
472    "doc/Makefile") CONFIG_FILES="$CONFIG_FILES doc/Makefile" ;;
473    "etc/Makefile") CONFIG_FILES="$CONFIG_FILES etc/Makefile" ;;
474    "etc/afpd/Makefile") CONFIG_FILES="$CONFIG_FILES etc/afpd/Makefile" ;;
475    "etc/atalkd/Makefile") CONFIG_FILES="$CONFIG_FILES etc/atalkd/Makefile" ;;
476    "etc/cnid_dbd/Makefile") CONFIG_FILES="$CONFIG_FILES etc/cnid_dbd/Makefile" ;;
477    "etc/uams/Makefile") CONFIG_FILES="$CONFIG_FILES etc/uams/Makefile" ;;
478    "etc/uams/uams_krb4/Makefile") CONFIG_FILES="$CONFIG_FILES etc/uams/uams_krb4/Makefile" ;;
479    "etc/papd/Makefile") CONFIG_FILES="$CONFIG_FILES etc/papd/Makefile" ;;
480    "etc/psf/Makefile") CONFIG_FILES="$CONFIG_FILES etc/psf/Makefile" ;;
481    "include/Makefile") CONFIG_FILES="$CONFIG_FILES include/Makefile" ;;
482    "include/atalk/Makefile") CONFIG_FILES="$CONFIG_FILES include/atalk/Makefile" ;;
483    "libatalk/Makefile") CONFIG_FILES="$CONFIG_FILES libatalk/Makefile" ;;
484    "libatalk/acl/Makefile") CONFIG_FILES="$CONFIG_FILES libatalk/acl/Makefile" ;;
485    "libatalk/adouble/Makefile") CONFIG_FILES="$CONFIG_FILES libatalk/adouble/Makefile" ;;
486    "libatalk/asp/Makefile") CONFIG_FILES="$CONFIG_FILES libatalk/asp/Makefile" ;;
487    "libatalk/atp/Makefile") CONFIG_FILES="$CONFIG_FILES libatalk/atp/Makefile" ;;
488    "libatalk/bstring/Makefile") CONFIG_FILES="$CONFIG_FILES libatalk/bstring/Makefile" ;;
489    "libatalk/cnid/Makefile") CONFIG_FILES="$CONFIG_FILES libatalk/cnid/Makefile" ;;
490    "libatalk/cnid/cdb/Makefile") CONFIG_FILES="$CONFIG_FILES libatalk/cnid/cdb/Makefile" ;;
491    "libatalk/cnid/last/Makefile") CONFIG_FILES="$CONFIG_FILES libatalk/cnid/last/Makefile" ;;
492    "libatalk/cnid/dbd/Makefile") CONFIG_FILES="$CONFIG_FILES libatalk/cnid/dbd/Makefile" ;;
493    "libatalk/cnid/tdb/Makefile") CONFIG_FILES="$CONFIG_FILES libatalk/cnid/tdb/Makefile" ;;
494    "libatalk/compat/Makefile") CONFIG_FILES="$CONFIG_FILES libatalk/compat/Makefile" ;;
495    "libatalk/dsi/Makefile") CONFIG_FILES="$CONFIG_FILES libatalk/dsi/Makefile" ;;
496    "libatalk/nbp/Makefile") CONFIG_FILES="$CONFIG_FILES libatalk/nbp/Makefile" ;;
497    "libatalk/netddp/Makefile") CONFIG_FILES="$CONFIG_FILES libatalk/netddp/Makefile" ;;
498    "libatalk/util/Makefile") CONFIG_FILES="$CONFIG_FILES libatalk/util/Makefile" ;;
499    "libatalk/tdb/Makefile") CONFIG_FILES="$CONFIG_FILES libatalk/tdb/Makefile" ;;
500    "libatalk/unicode/Makefile") CONFIG_FILES="$CONFIG_FILES libatalk/unicode/Makefile" ;;
501    "libatalk/unicode/charsets/Makefile") CONFIG_FILES="$CONFIG_FILES libatalk/unicode/charsets/Makefile" ;;
502    "libatalk/vfs/Makefile") CONFIG_FILES="$CONFIG_FILES libatalk/vfs/Makefile" ;;
503    "macros/Makefile") CONFIG_FILES="$CONFIG_FILES macros/Makefile" ;;
504    "man/Makefile") CONFIG_FILES="$CONFIG_FILES man/Makefile" ;;
505    "man/man1/Makefile") CONFIG_FILES="$CONFIG_FILES man/man1/Makefile" ;;
506    "man/man3/Makefile") CONFIG_FILES="$CONFIG_FILES man/man3/Makefile" ;;
507    "man/man4/Makefile") CONFIG_FILES="$CONFIG_FILES man/man4/Makefile" ;;
508    "man/man5/Makefile") CONFIG_FILES="$CONFIG_FILES man/man5/Makefile" ;;
509    "man/man8/Makefile") CONFIG_FILES="$CONFIG_FILES man/man8/Makefile" ;;
510    "sys/Makefile") CONFIG_FILES="$CONFIG_FILES sys/Makefile" ;;
511    "sys/generic/Makefile") CONFIG_FILES="$CONFIG_FILES sys/generic/Makefile" ;;
512    "sys/generic/sys/Makefile") CONFIG_FILES="$CONFIG_FILES sys/generic/sys/Makefile" ;;
513    "sys/netatalk/Makefile") CONFIG_FILES="$CONFIG_FILES sys/netatalk/Makefile" ;;
514    "sys/netbsd/Makefile") CONFIG_FILES="$CONFIG_FILES sys/netbsd/Makefile" ;;
515    "sys/netbsd/netatalk/Makefile") CONFIG_FILES="$CONFIG_FILES sys/netbsd/netatalk/Makefile" ;;
516    "sys/solaris/Makefile") CONFIG_FILES="$CONFIG_FILES sys/solaris/Makefile" ;;
517    "sys/sunos/Makefile") CONFIG_FILES="$CONFIG_FILES sys/sunos/Makefile" ;;
518    "sys/ultrix/Makefile") CONFIG_FILES="$CONFIG_FILES sys/ultrix/Makefile" ;;
519    "test/Makefile") CONFIG_FILES="$CONFIG_FILES test/Makefile" ;;
520    "test/afpd/Makefile") CONFIG_FILES="$CONFIG_FILES test/afpd/Makefile" ;;
521    "default") CONFIG_COMMANDS="$CONFIG_COMMANDS default" ;;
522
523  *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
524echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
525   { (exit 1); exit 1; }; };;
526  esac
527done
528
529
530# If the user did not use the arguments to specify the items to instantiate,
531# then the envvar interface is used.  Set only those that are not.
532# We use the long form for the default assignment because of an extremely
533# bizarre bug on SunOS 4.1.3.
534if $ac_need_defaults; then
535  test "${CONFIG_FILES+set}" = set || CONFIG_FILES=$config_files
536  test "${CONFIG_HEADERS+set}" = set || CONFIG_HEADERS=$config_headers
537  test "${CONFIG_COMMANDS+set}" = set || CONFIG_COMMANDS=$config_commands
538fi
539
540# Have a temporary directory for convenience.  Make it in the build tree
541# simply because there is no reason against having it here, and in addition,
542# creating and moving files from /tmp can sometimes cause problems.
543# Hook for its removal unless debugging.
544# Note that there is a small window in which the directory will not be cleaned:
545# after its creation but before its name has been assigned to `$tmp'.
546$debug ||
547{
548  tmp=
549  trap 'exit_status=$?
550  { test -z "$tmp" || test ! -d "$tmp" || rm -fr "$tmp"; } && exit $exit_status
551' 0
552  trap '{ (exit 1); exit 1; }' 1 2 13 15
553}
554# Create a (secure) tmp directory for tmp files.
555
556{
557  tmp=`(umask 077 && mktemp -d "./confXXXXXX") 2>/dev/null` &&
558  test -n "$tmp" && test -d "$tmp"
559}  ||
560{
561  tmp=./conf$$-$RANDOM
562  (umask 077 && mkdir "$tmp")
563} ||
564{
565   echo "$me: cannot create a temporary directory in ." >&2
566   { (exit 1); exit 1; }
567}
568
569#
570# Set up the sed scripts for CONFIG_FILES section.
571#
572
573# No need to generate the scripts if there are no CONFIG_FILES.
574# This happens for instance when ./config.status config.h
575if test -n "$CONFIG_FILES"; then
576
577cat >"$tmp/subs-1.sed" <<\CEOF
578/@[a-zA-Z_][a-zA-Z_0-9]*@/!b
579s,@GREP@,|#_!!_#|/bin/grep,g
580s,@PERL@,|#_!!_#|/usr/bin/perl,g
581s,@PS@,|#_!!_#|/bin/ps,g
582s,@SHELL@,|#_!!_#|/bin/sh,g
583s,@PATH_SEPARATOR@,|#_!!_#|:,g
584s,@PACKAGE_NAME@,|#_!!_#|,g
585s,@PACKAGE_TARNAME@,|#_!!_#|,g
586s,@PACKAGE_VERSION@,|#_!!_#|,g
587s,@PACKAGE_STRING@,|#_!!_#|,g
588s,@PACKAGE_BUGREPORT@,|#_!!_#|,g
589s,@exec_prefix@,|#_!!_#|/usr,g
590s,@prefix@,|#_!!_#|/usr,g
591s,@program_transform_name@,|#_!!_#|s\&$$\&\&;s\&^\&\&,g
592s,@bindir@,|#_!!_#|${exec_prefix}/bin,g
593s,@sbindir@,|#_!!_#|${exec_prefix}/sbin,g
594s,@libexecdir@,|#_!!_#|${PKG_INSTALL_DIR}/usr/lib,g
595s,@datarootdir@,|#_!!_#|${prefix}/share,g
596s,@datadir@,|#_!!_#|/usr/share,g
597s,@sysconfdir@,|#_!!_#|/etc,g
598s,@sharedstatedir@,|#_!!_#|${prefix}/com,g
599s,@localstatedir@,|#_!!_#|/var,g
600s,@includedir@,|#_!!_#|${prefix}/include,g
601s,@oldincludedir@,|#_!!_#|/usr/include,g
602s,@docdir@,|#_!!_#|${datarootdir}/doc/${PACKAGE},g
603s,@infodir@,|#_!!_#|/usr/info,g
604s,@htmldir@,|#_!!_#|${docdir},g
605s,@dvidir@,|#_!!_#|${docdir},g
606s,@pdfdir@,|#_!!_#|${docdir},g
607s,@psdir@,|#_!!_#|${docdir},g
608s,@libdir@,|#_!!_#|${PKG_INSTALL_DIR}/usr,g
609s,@localedir@,|#_!!_#|${datarootdir}/locale,g
610s,@mandir@,|#_!!_#|/usr/man,g
611s,@DEFS@,|#_!!_#|-DHAVE_CONFIG_H,g
612s,@ECHO_C@,|#_!!_#|,g
613s,@ECHO_N@,|#_!!_#|-n,g
614s,@ECHO_T@,|#_!!_#|,g
615s,@LIBS@,|#_!!_#|-lpthread  -L$(top_srcdir)/libatalk,g
616s,@build_alias@,|#_!!_#|mipsel-uclibc-linux-gnu26,g
617s,@host_alias@,|#_!!_#|mipsel-uclibc-linux,g
618s,@target_alias@,|#_!!_#|mipsel-uclibc-linux-gnu26,g
619s,@NETATALK_VERSION@,|#_!!_#|2.2.0,g
620s,@build@,|#_!!_#|mipsel-uclibc-linux-gnu26,g
621s,@build_cpu@,|#_!!_#|mipsel,g
622s,@build_vendor@,|#_!!_#|uclibc,g
623s,@build_os@,|#_!!_#|linux-gnu26,g
624s,@host@,|#_!!_#|mipsel-uclibc-linux-gnu,g
625s,@host_cpu@,|#_!!_#|mipsel,g
626s,@host_vendor@,|#_!!_#|uclibc,g
627s,@host_os@,|#_!!_#|linux-gnu,g
628s,@target@,|#_!!_#|mipsel-uclibc-linux-gnu26,g
629s,@target_cpu@,|#_!!_#|mipsel,g
630s,@target_vendor@,|#_!!_#|uclibc,g
631s,@target_os@,|#_!!_#|linux-gnu26,g
632s,@INSTALL_PROGRAM@,|#_!!_#|${INSTALL},g
633s,@INSTALL_SCRIPT@,|#_!!_#|${INSTALL},g
634s,@INSTALL_DATA@,|#_!!_#|${INSTALL} -m 644,g
635s,@am__isrc@,|#_!!_#|,g
636s,@CYGPATH_W@,|#_!!_#|echo,g
637s,@PACKAGE@,|#_!!_#|netatalk,g
638s,@VERSION@,|#_!!_#|2.2.0,g
639s,@ACLOCAL@,|#_!!_#|${SHELL} ${TIMEMACHINE_PATH}/netatalk-2.2.0/missing --run aclocal-1.10,g
640s,@AUTOCONF@,|#_!!_#|${SHELL} ${TIMEMACHINE_PATH}/netatalk-2.2.0/missing --run autoconf,g
641s,@AUTOMAKE@,|#_!!_#|${SHELL} ${TIMEMACHINE_PATH}/netatalk-2.2.0/missing --run automake-1.10,g
642s,@AUTOHEADER@,|#_!!_#|${SHELL} ${TIMEMACHINE_PATH}/netatalk-2.2.0/missing --run autoheader,g
643s,@MAKEINFO@,|#_!!_#|${SHELL} ${TIMEMACHINE_PATH}/netatalk-2.2.0/missing --run makeinfo,g
644s,@install_sh@,|#_!!_#|$(SHELL) ${TIMEMACHINE_PATH}/netatalk-2.2.0/install-sh,g
645s,@STRIP@,|#_!!_#|mipsel-linux-linux26-strip,g
646s,@INSTALL_STRIP_PROGRAM@,|#_!!_#|$(install_sh) -c -s,g
647s,@mkdir_p@,|#_!!_#|/bin/mkdir -p,g
648s,@AWK@,|#_!!_#|gawk,g
649s,@SET_MAKE@,|#_!!_#|,g
650s,@am__leading_dot@,|#_!!_#|.,g
651s,@AMTAR@,|#_!!_#|${SHELL} ${TIMEMACHINE_PATH}/netatalk-2.2.0/missing --run tar,g
652s,@am__tar@,|#_!!_#|${AMTAR} chof - "$$tardir",g
653s,@am__untar@,|#_!!_#|${AMTAR} xf -,g
654s,@MAINTAINER_MODE_TRUE@,|#_!!_#|#,g
655s,@MAINTAINER_MODE_FALSE@,|#_!!_#|,g
656s,@MAINT@,|#_!!_#|#,g
657s,@CC@,|#_!!_#|mipsel-linux-uclibc-gcc,g
658s,@CFLAGS@,|#_!!_#|-I$(top_srcdir)/include -D_U_="__attribute__((unused))" -I${PKG_INSTALL_DIR}/usr/include -I$(top_srcdir)/sys,g
659s,@LDFLAGS@,|#_!!_#|-L${PKG_INSTALL_DIR}/usr/lib,g
660s,@CPPFLAGS@,|#_!!_#|,g
661s,@ac_ct_CC@,|#_!!_#|,g
662s,@EXEEXT@,|#_!!_#|,g
663s,@OBJEXT@,|#_!!_#|o,g
664s,@DEPDIR@,|#_!!_#|.deps,g
665s,@am__include@,|#_!!_#|include,g
666s,@am__quote@,|#_!!_#|,g
667s,@AMDEP_TRUE@,|#_!!_#|,g
668s,@AMDEP_FALSE@,|#_!!_#|#,g
669s,@AMDEPBACKSLASH@,|#_!!_#|\\,g
670s,@CCDEPMODE@,|#_!!_#|depmode=gcc3,g
671s,@am__fastdepCC_TRUE@,|#_!!_#|,g
672s,@am__fastdepCC_FALSE@,|#_!!_#|#,g
673s,@LN_S@,|#_!!_#|ln -s,g
674s,@SED@,|#_!!_#|/bin/sed,g
675s,@EGREP@,|#_!!_#|/bin/grep -E,g
676CEOF
677cat >"$tmp/subs-2.sed" <<\CEOF
678/@[a-zA-Z_][a-zA-Z_0-9]*@/!b
679s,@ECHO@,|#_!!_#|echo,g
680s,@AR@,|#_!!_#|mipsel-linux-linux26-ar,g
681s,@RANLIB@,|#_!!_#|mipsel-linux-linux26-ranlib,g
682s,@DSYMUTIL@,|#_!!_#|,g
683s,@NMEDIT@,|#_!!_#|,g
684s,@CPP@,|#_!!_#|mipsel-linux-uclibc-gcc -E,g
685s,@CXX@,|#_!!_#|mipsel-linux-uclibc-g++,g
686s,@CXXFLAGS@,|#_!!_#|-Os -I${PKG_INSTALL_DIR}/usr/include,g
687s,@ac_ct_CXX@,|#_!!_#|,g
688s,@CXXDEPMODE@,|#_!!_#|depmode=gcc3,g
689s,@am__fastdepCXX_TRUE@,|#_!!_#|,g
690s,@am__fastdepCXX_FALSE@,|#_!!_#|#,g
691s,@CXXCPP@,|#_!!_#|mipsel-linux-uclibc-g++ -E,g
692s,@F77@,|#_!!_#|gfortran,g
693s,@FFLAGS@,|#_!!_#|-g -O2,g
694s,@ac_ct_F77@,|#_!!_#|gfortran,g
695s,@LIBTOOL@,|#_!!_#|$(SHELL) $(top_builddir)/libtool,g
696s,@LIBADD_DL@,|#_!!_#|-ldl,g
697s,@LIBOBJS@,|#_!!_#| ${LIBOBJDIR}memcmp$U.o,g
698s,@PTHREAD_LIBS@,|#_!!_#|-lpthread,g
699s,@AFS_LIBS@,|#_!!_#|,g
700s,@AFS_CFLAGS@,|#_!!_#|,g
701s,@PKGCONFDIR@,|#_!!_#|/etc/netatalk,g
702s,@SERVERTEXT@,|#_!!_#|/etc/netatalk/msg,g
703s,@ICONV_CFLAGS@,|#_!!_#|,g
704s,@ICONV_LIBS@,|#_!!_#|,g
705s,@BUILD_DBD_DAEMON_TRUE@,|#_!!_#|,g
706s,@BUILD_DBD_DAEMON_FALSE@,|#_!!_#|#,g
707s,@USE_CDB_BACKEND_TRUE@,|#_!!_#|#,g
708s,@USE_CDB_BACKEND_FALSE@,|#_!!_#|,g
709s,@USE_LAST_BACKEND_TRUE@,|#_!!_#|,g
710s,@USE_LAST_BACKEND_FALSE@,|#_!!_#|#,g
711s,@USE_TDB_BACKEND_TRUE@,|#_!!_#|,g
712s,@USE_TDB_BACKEND_FALSE@,|#_!!_#|#,g
713s,@DEFAULT_CNID_SCHEME@,|#_!!_#|dbd,g
714s,@compiled_backends@,|#_!!_#| dbd last tdb,g
715s,@QUOTA_LIBS@,|#_!!_#|,g
716s,@SLP_LIBS@,|#_!!_#|,g
717s,@SLP_CFLAGS@,|#_!!_#|,g
718s,@PKG_CONFIG@,|#_!!_#|/usr/bin/pkg-config,g
719s,@AVAHI_CFLAGS@,|#_!!_#|,g
720s,@AVAHI_LIBS@,|#_!!_#|,g
721s,@AVAHI_TPOLL_CFLAGS@,|#_!!_#|,g
722s,@AVAHI_TPOLL_LIBS@,|#_!!_#|,g
723s,@ZEROCONF_LIBS@,|#_!!_#|,g
724s,@ZEROCONF_CFLAGS@,|#_!!_#|,g
725s,@PAMDIR@,|#_!!_#|/,g
726s,@PAM_CFLAGS@,|#_!!_#|,g
727s,@PAM_LIBS@,|#_!!_#|,g
728s,@PAM_DIRECTIVE@,|#_!!_#|include,g
729s,@PAM_AUTH@,|#_!!_#|system-auth,g
730s,@PAM_ACCOUNT@,|#_!!_#|system-auth,g
731s,@PAM_PASSWORD@,|#_!!_#|system-auth,g
732s,@PAM_SESSION@,|#_!!_#|system-auth,g
733s,@WRAP_LIBS@,|#_!!_#|,g
734s,@CUPS_CONFIG@,|#_!!_#|,g
735s,@CUPS_CFLAGS@,|#_!!_#|,g
736s,@CUPS_LDFLAGS@,|#_!!_#|,g
737s,@CUPS_LIBS@,|#_!!_#|,g
738s,@USE_SPOOLDIR_TRUE@,|#_!!_#|#,g
739s,@USE_SPOOLDIR_FALSE@,|#_!!_#|,g
740s,@SPOOLDIR@,|#_!!_#|/var/spool/netatalk,g
741s,@UAMS_PATH@,|#_!!_#|/usr/lib/uams,g
742s,@COMPILE_KERNEL_GCC@,|#_!!_#|,g
743s,@COMPILE_64BIT_KMODULE@,|#_!!_#|,g
744s,@KCFLAGS@,|#_!!_#|,g
745s,@KLDFLAGS@,|#_!!_#|,g
746s,@LIBGCRYPT_CONFIG@,|#_!!_#|${PKG_INSTALL_DIR}/usr/bin/libgcrypt-config,g
747s,@LIBGCRYPT_CFLAGS@,|#_!!_#|-I${PKG_INSTALL_DIR}/usr/include,g
748s,@LIBGCRYPT_LIBS@,|#_!!_#|-L${PKG_INSTALL_DIR}/usr/lib ${PKG_INSTALL_DIR}/usr/lib/libgcrypt.so ${PKG_INSTALL_DIR}/usr/lib/libgpg-error.so,g
749s,@SSL_CFLAGS@,|#_!!_#| -I${PKG_INSTALL_DIR}/usr/include -I${PKG_INSTALL_DIR}/usr/include/openssl,g
750s,@SSL_LIBS@,|#_!!_#| -L${PKG_INSTALL_DIR}/usr/lib -L${PKG_INSTALL_DIR}/usr -lcrypto,g
751s,@BDB_CFLAGS@,|#_!!_#| -I${PKG_INSTALL_DIR}/usr/include/,g
752s,@BDB_LIBS@,|#_!!_#| ${PKG_INSTALL_DIR}/usr/lib/libdb-4.7.so,g
753s,@BDB_BIN@,|#_!!_#|${PKG_INSTALL_DIR}/usr/bin,g
754s,@BDB_PATH@,|#_!!_#|${PKG_INSTALL_DIR}/usr,g
755s,@CRYPT_LIBS@,|#_!!_#|-lcrypt ,g
756s,@KRB5_CONFIG@,|#_!!_#|,g
757s,@GSSAPI_LIBS@,|#_!!_#|,g
758s,@GSSAPI_CFLAGS@,|#_!!_#|,g
759s,@USE_GSSAPI_TRUE@,|#_!!_#|#,g
760s,@USE_GSSAPI_FALSE@,|#_!!_#|,g
761s,@ACL_LIBS@,|#_!!_#|,g
762s,@WEBMIN_PATH@,|#_!!_#|,g
763s,@WEBMIN_VERSION@,|#_!!_#|,g
764s,@WEBMIN_USER@,|#_!!_#|,g
765s,@WEBMIN_PASS@,|#_!!_#|,g
766s,@WEBMIN_PORT@,|#_!!_#|,g
767s,@OVERWRITE_CONFIG@,|#_!!_#|no,g
768s,@SOLARIS_MODULE_TRUE@,|#_!!_#|#,g
769s,@SOLARIS_MODULE_FALSE@,|#_!!_#|,g
770s,@COMPILE_TIMELORD_TRUE@,|#_!!_#|#,g
771s,@COMPILE_TIMELORD_FALSE@,|#_!!_#|,g
772s,@COMPILE_A2BOOT_TRUE@,|#_!!_#|#,g
773s,@COMPILE_A2BOOT_FALSE@,|#_!!_#|,g
774s,@HAVE_LIBGCRYPT_TRUE@,|#_!!_#|#,g
775s,@HAVE_LIBGCRYPT_FALSE@,|#_!!_#|,g
776CEOF
777cat >"$tmp/subs-3.sed" <<\CEOF
778/@[a-zA-Z_][a-zA-Z_0-9]*@/!b end
779s,@HAVE_OPENSSL_TRUE@,|#_!!_#|,g
780s,@HAVE_OPENSSL_FALSE@,|#_!!_#|#,g
781s,@HAVE_ACLS_TRUE@,|#_!!_#|#,g
782s,@HAVE_ACLS_FALSE@,|#_!!_#|,g
783s,@HAVE_LDAP_TRUE@,|#_!!_#|#,g
784s,@HAVE_LDAP_FALSE@,|#_!!_#|,g
785s,@USE_DHX_TRUE@,|#_!!_#|,g
786s,@USE_DHX_FALSE@,|#_!!_#|#,g
787s,@USE_DHX2_TRUE@,|#_!!_#|#,g
788s,@USE_DHX2_FALSE@,|#_!!_#|,g
789s,@USE_RANDNUM_TRUE@,|#_!!_#|,g
790s,@USE_RANDNUM_FALSE@,|#_!!_#|#,g
791s,@USE_KERBEROS_TRUE@,|#_!!_#|#,g
792s,@USE_KERBEROS_FALSE@,|#_!!_#|,g
793s,@USE_PAM_SO_TRUE@,|#_!!_#|#,g
794s,@USE_PAM_SO_FALSE@,|#_!!_#|,g
795s,@USE_PAM_TRUE@,|#_!!_#|#,g
796s,@USE_PAM_FALSE@,|#_!!_#|,g
797s,@BUILD_PAM_TRUE@,|#_!!_#|#,g
798s,@BUILD_PAM_FALSE@,|#_!!_#|,g
799s,@USE_PGP_TRUE@,|#_!!_#|#,g
800s,@USE_PGP_FALSE@,|#_!!_#|,g
801s,@DEFAULT_HOOK_TRUE@,|#_!!_#|#,g
802s,@DEFAULT_HOOK_FALSE@,|#_!!_#|,g
803s,@USE_COBALT_TRUE@,|#_!!_#|#,g
804s,@USE_COBALT_FALSE@,|#_!!_#|,g
805s,@USE_NETBSD_TRUE@,|#_!!_#|#,g
806s,@USE_NETBSD_FALSE@,|#_!!_#|,g
807s,@USE_REDHAT_TRUE@,|#_!!_#|#,g
808s,@USE_REDHAT_FALSE@,|#_!!_#|,g
809s,@USE_SUSE_TRUE@,|#_!!_#|#,g
810s,@USE_SUSE_FALSE@,|#_!!_#|,g
811s,@USE_SHADOWPW_TRUE@,|#_!!_#|#,g
812s,@USE_SHADOWPW_FALSE@,|#_!!_#|,g
813s,@USE_TRU64_TRUE@,|#_!!_#|#,g
814s,@USE_TRU64_FALSE@,|#_!!_#|,g
815s,@USE_SOLARIS_TRUE@,|#_!!_#|#,g
816s,@USE_SOLARIS_FALSE@,|#_!!_#|,g
817s,@USE_GENTOO_TRUE@,|#_!!_#|#,g
818s,@USE_GENTOO_FALSE@,|#_!!_#|,g
819s,@USE_DEBIAN_TRUE@,|#_!!_#|#,g
820s,@USE_DEBIAN_FALSE@,|#_!!_#|,g
821s,@USE_UNDEF_TRUE@,|#_!!_#|,g
822s,@USE_UNDEF_FALSE@,|#_!!_#|#,g
823s,@USE_BDB_TRUE@,|#_!!_#|,g
824s,@USE_BDB_FALSE@,|#_!!_#|#,g
825s,@USE_APPLETALK_TRUE@,|#_!!_#|#,g
826s,@USE_APPLETALK_FALSE@,|#_!!_#|,g
827s,@HAVE_ATFUNCS_TRUE@,|#_!!_#|#,g
828s,@HAVE_ATFUNCS_FALSE@,|#_!!_#|,g
829s,@LTLIBOBJS@,|#_!!_#| ${LIBOBJDIR}memcmp$U.lo,g
830:end
831s/|#_!!_#|//g
832CEOF
833fi # test -n "$CONFIG_FILES"
834
835
836for ac_tag in  :F $CONFIG_FILES  :H $CONFIG_HEADERS    :C $CONFIG_COMMANDS
837do
838  case $ac_tag in
839  :[FHLC]) ac_mode=$ac_tag; continue;;
840  esac
841  case $ac_mode$ac_tag in
842  :[FHL]*:*);;
843  :L* | :C*:*) { { echo "$as_me:$LINENO: error: Invalid tag $ac_tag." >&5
844echo "$as_me: error: Invalid tag $ac_tag." >&2;}
845   { (exit 1); exit 1; }; };;
846  :[FH]-) ac_tag=-:-;;
847  :[FH]*) ac_tag=$ac_tag:$ac_tag.in;;
848  esac
849  ac_save_IFS=$IFS
850  IFS=:
851  set x $ac_tag
852  IFS=$ac_save_IFS
853  shift
854  ac_file=$1
855  shift
856
857  case $ac_mode in
858  :L) ac_source=$1;;
859  :[FH])
860    ac_file_inputs=
861    for ac_f
862    do
863      case $ac_f in
864      -) ac_f="$tmp/stdin";;
865      *) # Look for the file first in the build tree, then in the source tree
866	 # (if the path is not absolute).  The absolute path cannot be DOS-style,
867	 # because $ac_f cannot contain `:'.
868	 test -f "$ac_f" ||
869	   case $ac_f in
870	   [\\/$]*) false;;
871	   *) test -f "$srcdir/$ac_f" && ac_f="$srcdir/$ac_f";;
872	   esac ||
873	   { { echo "$as_me:$LINENO: error: cannot find input file: $ac_f" >&5
874echo "$as_me: error: cannot find input file: $ac_f" >&2;}
875   { (exit 1); exit 1; }; };;
876      esac
877      ac_file_inputs="$ac_file_inputs $ac_f"
878    done
879
880    # Let's still pretend it is `configure' which instantiates (i.e., don't
881    # use $as_me), people would be surprised to read:
882    #    /* config.h.  Generated by config.status.  */
883    configure_input="Generated from "`IFS=:
884	  echo $* | sed 's|^[^:]*/||;s|:[^:]*/|, |g'`" by configure."
885    if test x"$ac_file" != x-; then
886      configure_input="$ac_file.  $configure_input"
887      { echo "$as_me:$LINENO: creating $ac_file" >&5
888echo "$as_me: creating $ac_file" >&6;}
889    fi
890
891    case $ac_tag in
892    *:-:* | *:-) cat >"$tmp/stdin";;
893    esac
894    ;;
895  esac
896
897  ac_dir=`$as_dirname -- "$ac_file" ||
898$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
899	 X"$ac_file" : 'X\(//\)[^/]' \| \
900	 X"$ac_file" : 'X\(//\)$' \| \
901	 X"$ac_file" : 'X\(/\)' \| . 2>/dev/null ||
902echo X"$ac_file" |
903    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
904	    s//\1/
905	    q
906	  }
907	  /^X\(\/\/\)[^/].*/{
908	    s//\1/
909	    q
910	  }
911	  /^X\(\/\/\)$/{
912	    s//\1/
913	    q
914	  }
915	  /^X\(\/\).*/{
916	    s//\1/
917	    q
918	  }
919	  s/.*/./; q'`
920  { as_dir="$ac_dir"
921  case $as_dir in #(
922  -*) as_dir=./$as_dir;;
923  esac
924  test -d "$as_dir" || { $as_mkdir_p && mkdir -p "$as_dir"; } || {
925    as_dirs=
926    while :; do
927      case $as_dir in #(
928      *\'*) as_qdir=`echo "$as_dir" | sed "s/'/'\\\\\\\\''/g"`;; #(
929      *) as_qdir=$as_dir;;
930      esac
931      as_dirs="'$as_qdir' $as_dirs"
932      as_dir=`$as_dirname -- "$as_dir" ||
933$as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
934	 X"$as_dir" : 'X\(//\)[^/]' \| \
935	 X"$as_dir" : 'X\(//\)$' \| \
936	 X"$as_dir" : 'X\(/\)' \| . 2>/dev/null ||
937echo X"$as_dir" |
938    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
939	    s//\1/
940	    q
941	  }
942	  /^X\(\/\/\)[^/].*/{
943	    s//\1/
944	    q
945	  }
946	  /^X\(\/\/\)$/{
947	    s//\1/
948	    q
949	  }
950	  /^X\(\/\).*/{
951	    s//\1/
952	    q
953	  }
954	  s/.*/./; q'`
955      test -d "$as_dir" && break
956    done
957    test -z "$as_dirs" || eval "mkdir $as_dirs"
958  } || test -d "$as_dir" || { { echo "$as_me:$LINENO: error: cannot create directory $as_dir" >&5
959echo "$as_me: error: cannot create directory $as_dir" >&2;}
960   { (exit 1); exit 1; }; }; }
961  ac_builddir=.
962
963case "$ac_dir" in
964.) ac_dir_suffix= ac_top_builddir_sub=. ac_top_build_prefix= ;;
965*)
966  ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
967  # A ".." for each directory in $ac_dir_suffix.
968  ac_top_builddir_sub=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,/..,g;s,/,,'`
969  case $ac_top_builddir_sub in
970  "") ac_top_builddir_sub=. ac_top_build_prefix= ;;
971  *)  ac_top_build_prefix=$ac_top_builddir_sub/ ;;
972  esac ;;
973esac
974ac_abs_top_builddir=$ac_pwd
975ac_abs_builddir=$ac_pwd$ac_dir_suffix
976# for backward compatibility:
977ac_top_builddir=$ac_top_build_prefix
978
979case $srcdir in
980  .)  # We are building in place.
981    ac_srcdir=.
982    ac_top_srcdir=$ac_top_builddir_sub
983    ac_abs_top_srcdir=$ac_pwd ;;
984  [\\/]* | ?:[\\/]* )  # Absolute name.
985    ac_srcdir=$srcdir$ac_dir_suffix;
986    ac_top_srcdir=$srcdir
987    ac_abs_top_srcdir=$srcdir ;;
988  *) # Relative name.
989    ac_srcdir=$ac_top_build_prefix$srcdir$ac_dir_suffix
990    ac_top_srcdir=$ac_top_build_prefix$srcdir
991    ac_abs_top_srcdir=$ac_pwd/$srcdir ;;
992esac
993ac_abs_srcdir=$ac_abs_top_srcdir$ac_dir_suffix
994
995
996  case $ac_mode in
997  :F)
998  #
999  # CONFIG_FILE
1000  #
1001
1002  case $INSTALL in
1003  [\\/$]* | ?:[\\/]* ) ac_INSTALL=$INSTALL ;;
1004  *) ac_INSTALL=$ac_top_build_prefix$INSTALL ;;
1005  esac
1006  ac_MKDIR_P=$MKDIR_P
1007  case $MKDIR_P in
1008  [\\/$]* | ?:[\\/]* ) ;;
1009  */*) ac_MKDIR_P=$ac_top_build_prefix$MKDIR_P ;;
1010  esac
1011# If the template does not know about datarootdir, expand it.
1012# FIXME: This hack should be removed a few years after 2.60.
1013ac_datarootdir_hack=; ac_datarootdir_seen=
1014
1015case `sed -n '/datarootdir/ {
1016  p
1017  q
1018}
1019/@datadir@/p
1020/@docdir@/p
1021/@infodir@/p
1022/@localedir@/p
1023/@mandir@/p
1024' $ac_file_inputs` in
1025*datarootdir*) ac_datarootdir_seen=yes;;
1026*@datadir@*|*@docdir@*|*@infodir@*|*@localedir@*|*@mandir@*)
1027  { echo "$as_me:$LINENO: WARNING: $ac_file_inputs seems to ignore the --datarootdir setting" >&5
1028echo "$as_me: WARNING: $ac_file_inputs seems to ignore the --datarootdir setting" >&2;}
1029  ac_datarootdir_hack='
1030  s&@datadir@&/usr/share&g
1031  s&@docdir@&${datarootdir}/doc/${PACKAGE}&g
1032  s&@infodir@&/usr/info&g
1033  s&@localedir@&${datarootdir}/locale&g
1034  s&@mandir@&/usr/man&g
1035    s&\${datarootdir}&${prefix}/share&g' ;;
1036esac
1037  sed "/^[	 ]*VPATH[	 ]*=/{
1038s/:*\$(srcdir):*/:/
1039s/:*\${srcdir}:*/:/
1040s/:*@srcdir@:*/:/
1041s/^\([^=]*=[	 ]*\):*/\1/
1042s/:*$//
1043s/^[^=]*=[	 ]*$//
1044}
1045
1046:t
1047/@[a-zA-Z_][a-zA-Z_0-9]*@/!b
1048s&@configure_input@&$configure_input&;t t
1049s&@top_builddir@&$ac_top_builddir_sub&;t t
1050s&@srcdir@&$ac_srcdir&;t t
1051s&@abs_srcdir@&$ac_abs_srcdir&;t t
1052s&@top_srcdir@&$ac_top_srcdir&;t t
1053s&@abs_top_srcdir@&$ac_abs_top_srcdir&;t t
1054s&@builddir@&$ac_builddir&;t t
1055s&@abs_builddir@&$ac_abs_builddir&;t t
1056s&@abs_top_builddir@&$ac_abs_top_builddir&;t t
1057s&@INSTALL@&$ac_INSTALL&;t t
1058s&@MKDIR_P@&$ac_MKDIR_P&;t t
1059$ac_datarootdir_hack
1060" $ac_file_inputs | sed -f "$tmp/subs-1.sed" | sed -f "$tmp/subs-2.sed" | sed -f "$tmp/subs-3.sed" >$tmp/out
1061
1062test -z "$ac_datarootdir_hack$ac_datarootdir_seen" &&
1063  { ac_out=`sed -n '/\${datarootdir}/p' "$tmp/out"`; test -n "$ac_out"; } &&
1064  { ac_out=`sed -n '/^[	 ]*datarootdir[	 ]*:*=/p' "$tmp/out"`; test -z "$ac_out"; } &&
1065  { echo "$as_me:$LINENO: WARNING: $ac_file contains a reference to the variable \`datarootdir'
1066which seems to be undefined.  Please make sure it is defined." >&5
1067echo "$as_me: WARNING: $ac_file contains a reference to the variable \`datarootdir'
1068which seems to be undefined.  Please make sure it is defined." >&2;}
1069
1070  rm -f "$tmp/stdin"
1071  case $ac_file in
1072  -) cat "$tmp/out"; rm -f "$tmp/out";;
1073  *) rm -f "$ac_file"; mv "$tmp/out" $ac_file;;
1074  esac
1075 ;;
1076  :H)
1077  #
1078  # CONFIG_HEADER
1079  #
1080    # First, check the format of the line:
1081    cat >"$tmp/defines.sed" <<\CEOF
1082/^[	 ]*#[	 ]*undef[	 ][	 ]*[_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ][_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789]*[	 ]*$/b def
1083/^[	 ]*#[	 ]*define[	 ][	 ]*[_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ][_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789]*[(	 ]/b def
1084b
1085:def
1086s/$/ /
1087s,^\([	 #]*\)[^	 ]*\([	 ]*PACKAGE_NAME\)[	 (].*,\1define\2 "" ,
1088s,^\([	 #]*\)[^	 ]*\([	 ]*PACKAGE_TARNAME\)[	 (].*,\1define\2 "" ,
1089s,^\([	 #]*\)[^	 ]*\([	 ]*PACKAGE_VERSION\)[	 (].*,\1define\2 "" ,
1090s,^\([	 #]*\)[^	 ]*\([	 ]*PACKAGE_STRING\)[	 (].*,\1define\2 "" ,
1091s,^\([	 #]*\)[^	 ]*\([	 ]*PACKAGE_BUGREPORT\)[	 (].*,\1define\2 "" ,
1092s,^\([	 #]*\)[^	 ]*\([	 ]*PACKAGE\)[	 (].*,\1define\2 "netatalk" ,
1093s,^\([	 #]*\)[^	 ]*\([	 ]*VERSION\)[	 (].*,\1define\2 "2.2.0" ,
1094s,^\([	 #]*\)[^	 ]*\([	 ]*STDC_HEADERS\)[	 (].*,\1define\2 1 ,
1095s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_SYS_TYPES_H\)[	 (].*,\1define\2 1 ,
1096s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_SYS_STAT_H\)[	 (].*,\1define\2 1 ,
1097s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_STDLIB_H\)[	 (].*,\1define\2 1 ,
1098s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_STRING_H\)[	 (].*,\1define\2 1 ,
1099s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_MEMORY_H\)[	 (].*,\1define\2 1 ,
1100s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_STRINGS_H\)[	 (].*,\1define\2 1 ,
1101s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_INTTYPES_H\)[	 (].*,\1define\2 1 ,
1102s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_STDINT_H\)[	 (].*,\1define\2 1 ,
1103s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_UNISTD_H\)[	 (].*,\1define\2 1 ,
1104s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_DLFCN_H\)[	 (].*,\1define\2 1 ,
1105s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_DIRENT_H\)[	 (].*,\1define\2 1 ,
1106s,^\([	 #]*\)[^	 ]*\([	 ]*STDC_HEADERS\)[	 (].*,\1define\2 1 ,
1107s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_SYS_WAIT_H\)[	 (].*,\1define\2 1 ,
1108s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_FCNTL_H\)[	 (].*,\1define\2 1 ,
1109s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_LIMITS_H\)[	 (].*,\1define\2 1 ,
1110s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_STDINT_H\)[	 (].*,\1define\2 1 ,
1111s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_STRINGS_H\)[	 (].*,\1define\2 1 ,
1112s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_TIME_H\)[	 (].*,\1define\2 1 ,
1113s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_SYS_PARAM_H\)[	 (].*,\1define\2 1 ,
1114s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_SYS_FCNTL_H\)[	 (].*,\1define\2 1 ,
1115s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_SYS_FILE_H\)[	 (].*,\1define\2 1 ,
1116s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_SYS_IOCTL_H\)[	 (].*,\1define\2 1 ,
1117s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_SYS_TIME_H\)[	 (].*,\1define\2 1 ,
1118s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_SYS_STATVFS_H\)[	 (].*,\1define\2 1 ,
1119s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_SYS_STAT_H\)[	 (].*,\1define\2 1 ,
1120s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_SYS_VFS_H\)[	 (].*,\1define\2 1 ,
1121s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_MNTENT_H\)[	 (].*,\1define\2 1 ,
1122s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_SYSLOG_H\)[	 (].*,\1define\2 1 ,
1123s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_UNISTD_H\)[	 (].*,\1define\2 1 ,
1124s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_TERMIOS_H\)[	 (].*,\1define\2 1 ,
1125s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_SYS_TERMIOS_H\)[	 (].*,\1define\2 1 ,
1126s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_NETDB_H\)[	 (].*,\1define\2 1 ,
1127s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_SGTTY_H\)[	 (].*,\1define\2 1 ,
1128s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_SYS_TYPES_H\)[	 (].*,\1define\2 1 ,
1129s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_DLFCN_H\)[	 (].*,\1define\2 1 ,
1130s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_ERRNO_H\)[	 (].*,\1define\2 1 ,
1131s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_SYS_ERRNO_H\)[	 (].*,\1define\2 1 ,
1132s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_SYS_UIO_H\)[	 (].*,\1define\2 1 ,
1133s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_LANGINFO_H\)[	 (].*,\1define\2 1 ,
1134s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_LOCALE_H\)[	 (].*,\1define\2 1 ,
1135s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_SYS_MOUNT_H\)[	 (].*,\1define\2 1 ,
1136CEOF
1137    sed -f "$tmp/defines.sed" $ac_file_inputs >"$tmp/out1"
1138    # First, check the format of the line:
1139    cat >"$tmp/defines.sed" <<\CEOF
1140/^[	 ]*#[	 ]*undef[	 ][	 ]*[_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ][_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789]*[	 ]*$/b def
1141/^[	 ]*#[	 ]*define[	 ][	 ]*[_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ][_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789]*[(	 ]/b def
1142b
1143:def
1144s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_STRUCT_STAT_ST_RDEV\)[	 (].*,\1define\2 1 ,
1145s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_ST_RDEV\)[	 (].*,\1define\2 1 ,
1146s,^\([	 #]*\)[^	 ]*\([	 ]*TIME_WITH_SYS_TIME\)[	 (].*,\1define\2 1 ,
1147s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_LIBDL\)[	 (].*,\1define\2 1 ,
1148s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_DLERROR\)[	 (].*,\1define\2 1 ,
1149s,^\([	 #]*\)[^	 ]*\([	 ]*GETGROUPS_T\)[	 (].*,\1define\2 gid_t ,
1150s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_STDLIB_H\)[	 (].*,\1define\2 1 ,
1151s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_UNISTD_H\)[	 (].*,\1define\2 1 ,
1152s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_GETPAGESIZE\)[	 (].*,\1define\2 1 ,
1153s,^\([	 #]*\)[^	 ]*\([	 ]*RETSIGTYPE\)[	 (].*,\1define\2 void ,
1154s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_UTIME_H\)[	 (].*,\1define\2 1 ,
1155s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_GETCWD\)[	 (].*,\1define\2 1 ,
1156s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_GETHOSTNAME\)[	 (].*,\1define\2 1 ,
1157s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_GETTIMEOFDAY\)[	 (].*,\1define\2 1 ,
1158s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_GETUSERSHELL\)[	 (].*,\1define\2 1 ,
1159s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_MKDIR\)[	 (].*,\1define\2 1 ,
1160s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_RMDIR\)[	 (].*,\1define\2 1 ,
1161s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_SELECT\)[	 (].*,\1define\2 1 ,
1162s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_SOCKET\)[	 (].*,\1define\2 1 ,
1163s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_STRDUP\)[	 (].*,\1define\2 1 ,
1164s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_STRCASESTR\)[	 (].*,\1define\2 1 ,
1165s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_STRSTR\)[	 (].*,\1define\2 1 ,
1166s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_STRTOUL\)[	 (].*,\1define\2 1 ,
1167s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_STRCHR\)[	 (].*,\1define\2 1 ,
1168s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_MEMCPY\)[	 (].*,\1define\2 1 ,
1169s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_SETLOCALE\)[	 (].*,\1define\2 1 ,
1170s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_NL_LANGINFO\)[	 (].*,\1define\2 1 ,
1171s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_STRLCPY\)[	 (].*,\1define\2 1 ,
1172s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_STRLCAT\)[	 (].*,\1define\2 1 ,
1173s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_SETLINEBUF\)[	 (].*,\1define\2 1 ,
1174s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_DIRFD\)[	 (].*,\1define\2 1 ,
1175s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_ACCESS\)[	 (].*,\1define\2 1 ,
1176s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_PREAD\)[	 (].*,\1define\2 1 ,
1177s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_PWRITE\)[	 (].*,\1define\2 1 ,
1178s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_WAITPID\)[	 (].*,\1define\2 1 ,
1179s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_GETCWD\)[	 (].*,\1define\2 1 ,
1180s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_STRDUP\)[	 (].*,\1define\2 1 ,
1181s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_STRNDUP\)[	 (].*,\1define\2 1 ,
1182s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_STRNLEN\)[	 (].*,\1define\2 1 ,
1183s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_STRTOUL\)[	 (].*,\1define\2 1 ,
1184s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_STRERROR\)[	 (].*,\1define\2 1 ,
1185s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_CHOWN\)[	 (].*,\1define\2 1 ,
1186s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_FCHOWN\)[	 (].*,\1define\2 1 ,
1187s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_CHMOD\)[	 (].*,\1define\2 1 ,
1188s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_FCHMOD\)[	 (].*,\1define\2 1 ,
1189s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_CHROOT\)[	 (].*,\1define\2 1 ,
1190s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_LINK\)[	 (].*,\1define\2 1 ,
1191s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_MKNOD\)[	 (].*,\1define\2 1 ,
1192s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_STRUCT_TM_TM_GMTOFF\)[	 (].*,\1define\2 1 ,
1193s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_SNPRINTF\)[	 (].*,\1define\2 1 ,
1194CEOF
1195    sed -f "$tmp/defines.sed" "$tmp/out1" >"$tmp/out2"
1196    # First, check the format of the line:
1197    cat >"$tmp/defines.sed" <<\CEOF
1198/^[	 ]*#[	 ]*undef[	 ][	 ]*[_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ][_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789]*[	 ]*$/b def
1199/^[	 ]*#[	 ]*define[	 ][	 ]*[_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ][_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789]*[(	 ]/b def
1200b
1201:def
1202s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_VSNPRINTF\)[	 (].*,\1define\2 1 ,
1203s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_STDARG_H\)[	 (].*,\1define\2 1 ,
1204s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_STRERROR\)[	 (].*,\1define\2 1 ,
1205s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_ERRNO\)[	 (].*,\1define\2 1 ,
1206s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_SYS_ERRLIST\)[	 (].*,\1define\2 1 ,
1207s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_LONG_LONG\)[	 (].*,\1define\2 1 ,
1208s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_LONG_DOUBLE\)[	 (].*,\1define\2 1 ,
1209s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_QUAD_T\)[	 (].*,\1define\2 1 ,
1210s,^\([	 #]*\)[^	 ]*\([	 ]*ADMIN_GRP\)[	 (].*,\1define\2 0 ,
1211s,^\([	 #]*\)[^	 ]*\([	 ]*NO_DDP\)[	 (].*,\1define\2 1 ,
1212s,^\([	 #]*\)[^	 ]*\([	 ]*NDEBUG\)[	 (].*,\1define\2 1 ,
1213s,^\([	 #]*\)[^	 ]*\([	 ]*_FILE_OFFSET_BITS\)[	 (].*,\1define\2 64 ,
1214s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_LARGEFILE_SUPPORT\)[	 (].*,\1define\2  ,
1215s,^\([	 #]*\)[^	 ]*\([	 ]*CNID_BACKEND_DBD\)[	 (].*,\1define\2 1 ,
1216s,^\([	 #]*\)[^	 ]*\([	 ]*CNID_BACKEND_LAST\)[	 (].*,\1define\2 1 ,
1217s,^\([	 #]*\)[^	 ]*\([	 ]*CNID_BACKEND_TDB\)[	 (].*,\1define\2 1 ,
1218s,^\([	 #]*\)[^	 ]*\([	 ]*DEFAULT_CNID_SCHEME\)[	 (].*,\1define\2 "dbd" ,
1219s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_RPC_RPC_H\)[	 (].*,\1define\2 1 ,
1220s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_RPC_PMAP_PROT_H\)[	 (].*,\1define\2 1 ,
1221s,^\([	 #]*\)[^	 ]*\([	 ]*NO_QUOTA_SUPPORT\)[	 (].*,\1define\2 1 ,
1222s,^\([	 #]*\)[^	 ]*\([	 ]*SHADOWPW\)[	 (].*,\1define\2 1 ,
1223s,^\([	 #]*\)[^	 ]*\([	 ]*DISABLE_SHELLCHECK\)[	 (].*,\1define\2 1 ,
1224s,^\([	 #]*\)[^	 ]*\([	 ]*OPEN_NOFOLLOW_ERRNO\)[	 (].*,\1define\2 ELOOP ,
1225s,^\([	 #]*\)[^	 ]*\([	 ]*_GNU_SOURCE\)[	 (].*,\1define\2 1 ,
1226s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_ATALK_ADDR\)[	 (].*,\1define\2 1 ,
1227s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_LINUX_DQBLK_XFS_H\)[	 (].*,\1define\2 1 ,
1228s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_BROKEN_DBTOB\)[	 (].*,\1define\2 1 ,
1229s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_SENDFILE\)[	 (].*,\1define\2 1 ,
1230s,^\([	 #]*\)[^	 ]*\([	 ]*SENDFILE_FLAVOR_LINUX\)[	 (].*,\1define\2 1 ,
1231s,^\([	 #]*\)[^	 ]*\([	 ]*WITH_SENDFILE\)[	 (].*,\1define\2 1 ,
1232s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_LIBGCRYPT\)[	 (].*,\1define\2 1 ,
1233s,^\([	 #]*\)[^	 ]*\([	 ]*UAM_DHX2\)[	 (].*,\1define\2 1 ,
1234s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_LIBCRYPTO\)[	 (].*,\1define\2 1 ,
1235s,^\([	 #]*\)[^	 ]*\([	 ]*OPENSSL_DHX\)[	 (].*,\1define\2 1 ,
1236s,^\([	 #]*\)[^	 ]*\([	 ]*UAM_DHX\)[	 (].*,\1define\2 1 ,
1237s,^\([	 #]*\)[^	 ]*\([	 ]*DB_MAJOR_REQ\)[	 (].*,\1define\2 4 ,
1238s,^\([	 #]*\)[^	 ]*\([	 ]*DB_MINOR_REQ\)[	 (].*,\1define\2 6 ,
1239s,^\([	 #]*\)[^	 ]*\([	 ]*DB_PATCH_REQ\)[	 (].*,\1define\2 0 ,
1240s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_CRYPT_H\)[	 (].*,\1define\2 1 ,
1241s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_LIBCRYPT\)[	 (].*,\1define\2 1 ,
1242s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_NO_ACLS\)[	 (].*,\1define\2 1 ,
1243s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_SYS_XATTR_H\)[	 (].*,\1define\2 1 ,
1244s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_SYS_UIO_H\)[	 (].*,\1define\2 1 ,
1245s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_GETXATTR\)[	 (].*,\1define\2 1 ,
1246s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_LGETXATTR\)[	 (].*,\1define\2 1 ,
1247s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_FGETXATTR\)[	 (].*,\1define\2 1 ,
1248s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_LISTXATTR\)[	 (].*,\1define\2 1 ,
1249s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_LLISTXATTR\)[	 (].*,\1define\2 1 ,
1250s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_FLISTXATTR\)[	 (].*,\1define\2 1 ,
1251s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_REMOVEXATTR\)[	 (].*,\1define\2 1 ,
1252CEOF
1253    sed -f "$tmp/defines.sed" "$tmp/out2" >"$tmp/out1"
1254    # First, check the format of the line:
1255    cat >"$tmp/defines.sed" <<\CEOF
1256/^[	 ]*#[	 ]*undef[	 ][	 ]*[_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ][_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789]*[	 ]*$/b def
1257/^[	 ]*#[	 ]*define[	 ][	 ]*[_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ][_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789]*[(	 ]/b def
1258b
1259:def
1260s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_LREMOVEXATTR\)[	 (].*,\1define\2 1 ,
1261s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_FREMOVEXATTR\)[	 (].*,\1define\2 1 ,
1262s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_SETXATTR\)[	 (].*,\1define\2 1 ,
1263s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_LSETXATTR\)[	 (].*,\1define\2 1 ,
1264s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_FSETXATTR\)[	 (].*,\1define\2 1 ,
1265s,^\([	 #]*\)[^	 ]*\([	 ]*EA_MODULES\)[	 (].*,\1define\2 "ad | sys" ,
1266s/ $//
1267s,^[	 #]*u.*,/* & */,
1268CEOF
1269    sed -f "$tmp/defines.sed" "$tmp/out1" >"$tmp/out2"
1270ac_result="$tmp/out2"
1271  if test x"$ac_file" != x-; then
1272    echo "/* $configure_input  */" >"$tmp/config.h"
1273    cat "$ac_result" >>"$tmp/config.h"
1274    if diff $ac_file "$tmp/config.h" >/dev/null 2>&1; then
1275      { echo "$as_me:$LINENO: $ac_file is unchanged" >&5
1276echo "$as_me: $ac_file is unchanged" >&6;}
1277    else
1278      rm -f $ac_file
1279      mv "$tmp/config.h" $ac_file
1280    fi
1281  else
1282    echo "/* $configure_input  */"
1283    cat "$ac_result"
1284  fi
1285  rm -f "$tmp/out12"
1286# Compute $ac_file's index in $config_headers.
1287_am_arg=$ac_file
1288_am_stamp_count=1
1289for _am_header in $config_headers :; do
1290  case $_am_header in
1291    $_am_arg | $_am_arg:* )
1292      break ;;
1293    * )
1294      _am_stamp_count=`expr $_am_stamp_count + 1` ;;
1295  esac
1296done
1297echo "timestamp for $_am_arg" >`$as_dirname -- "$_am_arg" ||
1298$as_expr X"$_am_arg" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1299	 X"$_am_arg" : 'X\(//\)[^/]' \| \
1300	 X"$_am_arg" : 'X\(//\)$' \| \
1301	 X"$_am_arg" : 'X\(/\)' \| . 2>/dev/null ||
1302echo X"$_am_arg" |
1303    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
1304	    s//\1/
1305	    q
1306	  }
1307	  /^X\(\/\/\)[^/].*/{
1308	    s//\1/
1309	    q
1310	  }
1311	  /^X\(\/\/\)$/{
1312	    s//\1/
1313	    q
1314	  }
1315	  /^X\(\/\).*/{
1316	    s//\1/
1317	    q
1318	  }
1319	  s/.*/./; q'`/stamp-h$_am_stamp_count
1320 ;;
1321
1322  :C)  { echo "$as_me:$LINENO: executing $ac_file commands" >&5
1323echo "$as_me: executing $ac_file commands" >&6;}
1324 ;;
1325  esac
1326
1327
1328  case $ac_file$ac_mode in
1329    "depfiles":C) test x"$AMDEP_TRUE" != x"" || for mf in $CONFIG_FILES; do
1330  # Strip MF so we end up with the name of the file.
1331  mf=`echo "$mf" | sed -e 's/:.*$//'`
1332  # Check whether this is an Automake generated Makefile or not.
1333  # We used to match only the files named `Makefile.in', but
1334  # some people rename them; so instead we look at the file content.
1335  # Grep'ing the first line is not enough: some people post-process
1336  # each Makefile.in and add a new line on top of each file to say so.
1337  # Grep'ing the whole file is not good either: AIX grep has a line
1338  # limit of 2048, but all sed's we know have understand at least 4000.
1339  if sed -n 's,^#.*generated by automake.*,X,p' "$mf" | grep X >/dev/null 2>&1; then
1340    dirpart=`$as_dirname -- "$mf" ||
1341$as_expr X"$mf" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1342	 X"$mf" : 'X\(//\)[^/]' \| \
1343	 X"$mf" : 'X\(//\)$' \| \
1344	 X"$mf" : 'X\(/\)' \| . 2>/dev/null ||
1345echo X"$mf" |
1346    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
1347	    s//\1/
1348	    q
1349	  }
1350	  /^X\(\/\/\)[^/].*/{
1351	    s//\1/
1352	    q
1353	  }
1354	  /^X\(\/\/\)$/{
1355	    s//\1/
1356	    q
1357	  }
1358	  /^X\(\/\).*/{
1359	    s//\1/
1360	    q
1361	  }
1362	  s/.*/./; q'`
1363  else
1364    continue
1365  fi
1366  # Extract the definition of DEPDIR, am__include, and am__quote
1367  # from the Makefile without running `make'.
1368  DEPDIR=`sed -n 's/^DEPDIR = //p' < "$mf"`
1369  test -z "$DEPDIR" && continue
1370  am__include=`sed -n 's/^am__include = //p' < "$mf"`
1371  test -z "am__include" && continue
1372  am__quote=`sed -n 's/^am__quote = //p' < "$mf"`
1373  # When using ansi2knr, U may be empty or an underscore; expand it
1374  U=`sed -n 's/^U = //p' < "$mf"`
1375  # Find all dependency output files, they are included files with
1376  # $(DEPDIR) in their names.  We invoke sed twice because it is the
1377  # simplest approach to changing $(DEPDIR) to its actual value in the
1378  # expansion.
1379  for file in `sed -n "
1380    s/^$am__include $am__quote\(.*(DEPDIR).*\)$am__quote"'$/\1/p' <"$mf" | \
1381       sed -e 's/\$(DEPDIR)/'"$DEPDIR"'/g' -e 's/\$U/'"$U"'/g'`; do
1382    # Make sure the directory exists.
1383    test -f "$dirpart/$file" && continue
1384    fdir=`$as_dirname -- "$file" ||
1385$as_expr X"$file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1386	 X"$file" : 'X\(//\)[^/]' \| \
1387	 X"$file" : 'X\(//\)$' \| \
1388	 X"$file" : 'X\(/\)' \| . 2>/dev/null ||
1389echo X"$file" |
1390    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
1391	    s//\1/
1392	    q
1393	  }
1394	  /^X\(\/\/\)[^/].*/{
1395	    s//\1/
1396	    q
1397	  }
1398	  /^X\(\/\/\)$/{
1399	    s//\1/
1400	    q
1401	  }
1402	  /^X\(\/\).*/{
1403	    s//\1/
1404	    q
1405	  }
1406	  s/.*/./; q'`
1407    { as_dir=$dirpart/$fdir
1408  case $as_dir in #(
1409  -*) as_dir=./$as_dir;;
1410  esac
1411  test -d "$as_dir" || { $as_mkdir_p && mkdir -p "$as_dir"; } || {
1412    as_dirs=
1413    while :; do
1414      case $as_dir in #(
1415      *\'*) as_qdir=`echo "$as_dir" | sed "s/'/'\\\\\\\\''/g"`;; #(
1416      *) as_qdir=$as_dir;;
1417      esac
1418      as_dirs="'$as_qdir' $as_dirs"
1419      as_dir=`$as_dirname -- "$as_dir" ||
1420$as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1421	 X"$as_dir" : 'X\(//\)[^/]' \| \
1422	 X"$as_dir" : 'X\(//\)$' \| \
1423	 X"$as_dir" : 'X\(/\)' \| . 2>/dev/null ||
1424echo X"$as_dir" |
1425    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
1426	    s//\1/
1427	    q
1428	  }
1429	  /^X\(\/\/\)[^/].*/{
1430	    s//\1/
1431	    q
1432	  }
1433	  /^X\(\/\/\)$/{
1434	    s//\1/
1435	    q
1436	  }
1437	  /^X\(\/\).*/{
1438	    s//\1/
1439	    q
1440	  }
1441	  s/.*/./; q'`
1442      test -d "$as_dir" && break
1443    done
1444    test -z "$as_dirs" || eval "mkdir $as_dirs"
1445  } || test -d "$as_dir" || { { echo "$as_me:$LINENO: error: cannot create directory $as_dir" >&5
1446echo "$as_me: error: cannot create directory $as_dir" >&2;}
1447   { (exit 1); exit 1; }; }; }
1448    # echo "creating $dirpart/$file"
1449    echo '# dummy' > "$dirpart/$file"
1450  done
1451done
1452 ;;
1453    "default":C) chmod a+x distrib/config/netatalk-config contrib/shell_utils/apple_*
1454 ;;
1455
1456  esac
1457done # for ac_tag
1458
1459
1460{ (exit 0); exit 0; }
1461